Package ghidra.app.util.bin.format.pe.cli.tables

# Class CliTableAssemblyRef.CliAssemblyRefRow

java.lang.Object
ghidra.app.util.bin.format.pe.cli.tables.CliAbstractTableRow
ghidra.app.util.bin.format.pe.cli.tables.CliTableAssemblyRef.CliAssemblyRefRow

All Implemented Interfaces:
  `CliRepresentable`

Enclosing class:
  `CliTableAssemblyRef`

public class CliTableAssemblyRef.CliAssemblyRefRow extends CliAbstractTableRow

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `short`
  `buildNumber`
  `int`
  `cultureIndex`
  `int`
  `flags`
  `int`
  `hashValueIndex`
  `short`
  `majorVersion`
  `short`
  `minorVersion`
  `int`
  `nameIndex`
  `int`
  `publicKeyOrTokenIndex`
  `short`
  `revisionNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CliAssemblyRefRow(short majorVersion, short minorVersion, short buildNumber, short revisionNumber, int flags, int publicKeyOrTokenIndex, int nameIndex, int cultureIndex, int hashValueIndex)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getRepresentation()`
  `String`
  `getShortRepresentation()`

  ### Methods inherited from class ghidra.app.util.bin.format.pe.cli.tables.CliAbstractTableRow

  `getRepresentation, getShortRepresentation`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### majorVersion

    public short majorVersion

  - ### minorVersion

    public short minorVersion

  - ### buildNumber

    public short buildNumber

  - ### revisionNumber

    public short revisionNumber

  - ### flags

    public int flags

  - ### publicKeyOrTokenIndex

    public int publicKeyOrTokenIndex

  - ### nameIndex

    public int nameIndex

  - ### cultureIndex

    public int cultureIndex

  - ### hashValueIndex

    public int hashValueIndex

- ## Constructor Details

  - ### CliAssemblyRefRow

    public CliAssemblyRefRow(short majorVersion, short minorVersion, short buildNumber, short revisionNumber, int flags, int publicKeyOrTokenIndex, int nameIndex, int cultureIndex, int hashValueIndex)

- ## Method Details

  - ### getRepresentation

    public String getRepresentation()
    Specified by:
      `getRepresentation` in interface `CliRepresentable`
    Specified by:
      `getRepresentation` in class `CliAbstractTableRow`

  - ### getShortRepresentation

    public String getShortRepresentation()
    Specified by:
      `getShortRepresentation` in interface `CliRepresentable`
    Overrides:
      `getShortRepresentation` in class `CliAbstractTableRow`